Subject: Re: bug#59586: Conflicting types for 'wait' in binutils test program

From: Jacob Bachmeyer <[email-masked]>
Date: Wed, 30 Nov 2022 20:19:25 -0600

John David Anglin wrote:
> On 2022-11-28 10:43 p.m., Jacob Bachmeyer wrote:
>> An initial patch has been pushed to Savannah in the 
>> "topic-improved-unit-test" branch.  Please confirm that this resolves 
>> your issues.
>
> The patch fixes the wait conflict in the binutils libsframe on 
> hppa64-hp-hpux11.11.

Since the patch removes wait() entirely, it will also fix other 
platforms.  Thanks for confirming that this was the cause.  The patch is 
now on track to land in 1.6.4, so I am closing this bug report.

-- Jacob